Bar[] bars;  //気温と風速を表示するバー //<>// //<>//
float highTemp;  //最高気温
float lowTemp;  //最低気温
PFont font;

void setup() {
  size(1500, 250);
  colorMode(HSB, 360, 100, 100);  //HSBモードにする
  noStroke();
  loadData();  //データ読み込み、オブジェクト化

  //最低気温と最高気温をbars[0]の値で初期化
  lowTemp = highTemp  = bars[0].temp;

  //一番低い気温と高い気温を検索し、lowTemp、highTempに入れる
  for (int i = 1; i < bars.length; i ++) {
    if (bars[i].temp < lowTemp ) lowTemp = bars[i].temp;
    if (bars[i].temp > highTemp ) highTemp = bars[i].temp;
  }

  font = createFont("Arial", 11);
  textFont(font, 11);
  textAlign(CENTER);
}

void draw() {
  background(0, 0, 100);

  //bars[]のcreateColor(), dsiplay()メソッド実行
  for (int i = 0; i < bars.length; i ++) {
    bars[i].createColor(lowTemp, highTemp);
    bars[i].display();
  }
  //マウスオーバー時のメソッド実行
  for (int i = 0; i < bars.length; i ++) bars[i].mouseOver(mouseX, mouseY);
}

void loadData() {
  //ファイルをロードして配列を作る
  JSONArray weatherData = loadJSONArray("weather_day.json");
 
  //要素数を取得して配列を生成
  bars = new Bar[weatherData.size()];  
 
  for (int i = 0; i < weatherData.size(); i++) {
 
    //一つ一つのJSON配列の中を検索
    JSONObject weather = weatherData.getJSONObject(i); 
    
    String date = weather.getString("date");
    float temp = weather.getFloat("temp");
 
    //コンストラクタを実行（初期化）
    bars[i] = new Bar(date, temp, i, bars.length);
  }
}